DECLARE EXTERNAL NUMERIC m1.a            
DECLARE EXTERNAL NUMERIC m1.b(), m1.c(,)  
DECLARE EXTERNAL SUB m1.initialize         
CALL initialize
PRINT a
MAT PRINT b
MAT PRINT c
END
MODULE m1
PUBLIC NUMERIC a, b(4), c(2,2)     
EXTERNAL SUB initialize
   DATA 1,2,3,4
   MAT READ b
   DATA 6,7,8,9
   MAT READ c
   LET a=PI/4
END SUB
END MODULE
